# Empresa Libre

## Mini ERP para la legislación mexicana


**En cada relación comercial, hay una relación humana**


Este proyecto está en continuo desarrollo, contratar un esquema de soporte,
nos ayuda a continuar su desarrollo. Ponte en contacto con nosotros para
contratar: administracion ARROBA empresalibre.net

#### Ahora también puede aportar con criptomonedas:

G1: `A5DdXxCKPw3QKWVdDVs7CzkNugNUW1sHu5zDJFWxCU2h`
BCH: `qztd3l00xle5tffdqvh2snvadkuau2ml0uqm4n875d`

## Requerimientos:

* Servidor web, recomendado Nginx
* uwsgi
* python 3.8
* xsltproc
* openssl
* xmlsec

* Ubuntu 20.04

```
apt install pkg-config libxml2-dev libxmlsec1-dev libxmlsec1-openssl xsltproc
```

Debería de funcionar con cualquier combinación servidor-wsgi que soporte
aplicaciones Python.

El sistema tiene soporte solo para PostgreSQL, debes de instalar el servidor de
la base de datos y su driver respectivo.

## Configuración para desarrollo local

* Crea un entorno virtual con python 3.8 y actívalo. Por ejemplo con virtualenv:

    virtualenv .venv
    source .venv/bin/activate

* Instala las dependencias

    pip install -r requirements.txt

* Copia y ajusta algunos archivos necesarios.
    - `source/app/conf.py`
    - `source/app/controllers/pacs/comerciodigital/conf.py.example`
    - `source/app/controllers/pacs/finkok/conf.py.example`
* Finalmente ejecutamos la aplicación. Para esto vamos a necesitar un servidor
  wsgi como uwsgi:

    pip install uwsgi
    cd source/app
    uwsgi main_debug.ini
* Ahora puedes ver la aplicación en http://localhost:8000
